#ifndef _EQ_Plugin_h_
#define _EQ_Plugin_h_

#include "DSPPlugin.h"

class MyPlugin : public DSPPlugin {
// >>-- Start of CL-Amp output plugin's virtual functions --------------
public:
	// No thread considerations
			MyPlugin(struct PluginConstructorStruct* ConstrInfo);
			~MyPlugin();
	bool	Init(long Frequency, short Channels, bool SampleIsOnly8Bits);
	void	Cleanup();

	// Thread A
	bool			About(bool Question);
	bool			Prefs(bool Question);
	unsigned long	GetFlags();

	// Thread B
	long	Process(char* Buff, long Size);
	void	Flush();
// ---- End of CL-Amp output plugin's virtual functions --------------<<

	void	UpdateGains();

private:
	float l_xn1[10], l_xn2[10], l_yn1[10], l_yn2[10];
	float r_xn1[10], r_xn2[10], r_yn1[10], r_yn2[10];
	float fg[10];
};

#endif	// _EQ_Plugin_h_
